/********************************************************************
             A Golog/Prolog - Tekkotsu Interface
                        August, 2006.                 

            Do not distribute without permission.
            Include this notice in any copy made.

Permission to use, copy, and modify this software and its documentation 
for non-commercial research purpose is hereby granted without fee,
provided that this permission notice appears in all copies. This
software cannot be used for commercial purposes without written permission.
This software is provided "as is" without express or implied warranty
(including all implied warranties of merchantability and fitness).
No liability is implied for any damages resulting from 
or in connection with the use or performance of this software.

E-mail questions/comments about the interface to Huy Pham:
            hpham [at] scs [dot] ryerson [dot] ca   

Implementation environment:
This interface requires Eclipse Prolog:
	http://eclipse.crosscoreop.com/eclipse/index.html

**********************************************************************/



%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% 
% Limits: Thou shalt honour thy Robot and respect these!
% 
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

% Walk and turn limits
maxWalkX(160). % 160 mm/sec in the X direction
maxWalkY(120). % 120 mm/sec in the X direction
maxTurn(55).   % 55 deg/sec 

% Joint range limits (degree)
jointRange(lflJoint1, -115, 130).
jointRange(lflJoint2,  -10,  88).
jointRange(lflJoint3,  -25, 122).

jointRange(rflJoint1, -115, 130).
jointRange(rflJoint2,  -10,  88).
jointRange(rflJoint3,  -25, 122).

jointRange(lrlJoint1, -130, 115).
jointRange(lrlJoint2,  -10,  88).
jointRange(lrlJoint3,  -25, 122).

jointRange(rrlJoint1, -130, 115).
jointRange(rrlJoint2,  -10,  88).
jointRange(rrlJoint3,  -25, 122).

jointRange(headTilt1,  -75,   0).
jointRange(headPan,    -88,  88).
jointRange(headTilt2,  -15,  45).

jointRange(tailTilt,     5,  60).
jointRange(tailPan,    -45,  45).

jointRange(mouth,      -55,  -3).


%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Others
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

ballIndex(pink, 0).
ballIndex(blue, 1).
ballIndex(yellow, 2).
ballIndex(green, 3).


